# LinkHub
LinkHub is a simple and effective link management application that can help you to easily manage your own links with no ads!  

![Build CI](https://github.com/amrdeveloper/linkhub/actions/workflows/build.yml/badge.svg)

<img src="media/banner/linkhub_banner.png" width="100%" height="300" />

## Download

<a href='https://play.google.com/store/apps/details?id=com.amrdeveloper.linkhub'><img alt='Get it on Google Play' src='https://upload.wikimedia.org/wikipedia/commons/thumb/7/78/Google_Play_Store_badge_EN.svg/512px-Google_Play_Store_badge_EN.svg.png' width="20%" height="60"/></a>
<a href="https://galaxystore.samsung.com/detail/com.amrdeveloper.linkhub"><img src="https://img.samsungapps.com/seller/images/badges/galaxyStore/png_big/GalaxyStore_English.png" alt="Samsung Galaxy Store" width="20%" height="60"></a>
<a href="https://www.amazon.com/gp/product/B09B19R8K5"><img src="https://images-na.ssl-images-amazon.com/images/G/01/mobile-apps/devportal2/res/images/amazon-appstore-badge-english-black.png" alt="Amazon App Store" width="20%" height="60"></a>
<a href="https://appgallery.huawei.com/#/app/C104553823"><img src="https://upload.wikimedia.org/wikipedia/commons/e/e7/Huawei_AppGallery_white_badge_EN.png" alt="Huawei AppGallery" width="20%" height="60"></a>

## Screenshots
<p align="center">
  <img src="media/screenshots/screenshot_1.png" width="30%" height="500">
  <img src="media/screenshots/screenshot_2.png" width="30%" height="500">
  <img src="media/screenshots/screenshot_3.png" width="30%" height="500">
</p>

LinkHub enabled you to create folders and put your links inside them to classify them and find your link easily and fast, also you can use searching with link title. 

In Link Hub links are automatically sorted depend on if they are pinned and how many times you use them, and the same for Folder.

With LinkHub you can copy, edit, open your link just by one click

## Features
- Free And open source with no ads
- Create Folder with name
- Create Link with title, subtitle, url
- Links and Folders are sorted depending on your usage
- Search easily in links and folders
- Shortcuts, Context menu and receive links from other apps
- Auto generated title and subtitle for shared links
- Dark theme support
- Widget for Pinned links

You can put each similar link in the same folder, for example, folders for e-books, jobs, courses, talks, articles... etc

## Dependencies
- Dagger Hilt
- Kotlin Coroutines
- Navigation Component
- Room
- LiveData, ViewModel, Fragment Extension
- Timber, LeakCanary

## How to contribute
- Before making a feature request or bug report make sure you have the latest version installed on your device and the request is unique
- If you want to implement new feature or solving bug make sure no one working on this issue and left a comment that you will work on it
